> For the complete documentation index, see [llms.txt](https://docs.tanx.fi/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tanx.fi/tech/api-documentation/trading/list-orders.md).

# List orders

Retrieve details of all orders for a user using this endpoint. Please note that this is a <mark style="background-color:purple;">Private 🔒</mark> route which means it needs to be authorized by the account initiating this request.

> Note: You will need to include the JWT Auth token to request headers to access this endpoint. To get the JWT Auth Token, refer the [login](/tech/api-documentation/account/login.md) section of the documentation.

#### Endpoint <a href="#endpoint" id="endpoint"></a>

```bash
GET /sapi/v1/orders/
```

#### Request Headers <a href="#request-headers" id="request-headers"></a>

```json
{
  "Authorization": "JWT ***"
}
```

#### Query Params <a href="#query-params" id="query-params"></a>

| Field       | Type    | Mandatory | Description                                                |
| ----------- | ------- | --------- | ---------------------------------------------------------- |
| limit       | INTEGER | NO        | default 50                                                 |
| page        | INTEGER | NO        |                                                            |
| market      | STRING  | NO        |                                                            |
| ord\_type   | STRING  | NO        | allowed values \[limit, market, stop\_limit, limit\_maker] |
| state       | STRING  | NO        | allowed values \[pending, wait, done, cancel]              |
| base\_unit  | STRING  | NO        | btcusdt, btc is base\_unit and usdt is quote\_unit         |
| quote\_unit | STRING  | NO        |                                                            |
| start\_time | INTEGER | NO        |                                                            |
| end\_time   | INTEGER | NO        |                                                            |
| side        | STRING  | NO        | allowed values \[buy, sell]                                |

#### Example

```bash
{baseurl}/sapi/v1/orders/?page=1&limit=10&market=ethusdc
```

#### Response <a href="#response" id="response"></a>

```json
{
    "status": "success",
    "message": "Orders Retrieved Successfully",
    "payload": [
        {
            "id": 25768879,
            "uuid": "17be02d1-34ef-49df-9b92-264705047d99",
            "side": "buy",
            "ord_type": "limit",
            "price": "68733.81",
            "stop_price": null,
            "avg_price": "68733.81",
            "state": "cancel",
            "market": "btcusdc",
            "created_at": "2024-05-31T09:02:00+02:00",
            "updated_at": "2024-05-31T09:02:06+02:00",
            "origin_volume": "0.0425",
            "remaining_volume": "0.0335",
            "executed_volume": "0.009",
            "maker_fee": "0.0004",
            "taker_fee": "0.0004",
            "trades_count": 2,
            "cancel_reason": "Order cancelled by user"
        },
        {
            "id": 25765217,
            "uuid": "0203fe8c-e96a-4e8b-801b-8a754d6e825e",
            "side": "buy",
            "ord_type": "limit_maker",
            "price": "68818.37",
            "stop_price": null,
            "avg_price": "0.0",
            "state": "cancel",
            "market": "btcusdc",
            "created_at": "2024-05-31T08:17:44+02:00",
            "updated_at": "2024-05-31T08:17:44+02:00",
            "origin_volume": "0.0874",
            "remaining_volume": "0.0874",
            "executed_volume": "0.0",
            "maker_fee": "0.0004",
            "taker_fee": "0.0004",
            "trades_count": 0,
            "cancel_reason": "Order cancelled because it was matched as a taker order"
        },
        {
            "id": 25765153,
            "uuid": "e9056cd6-21dc-4eec-8856-e700f0343010",
            "side": "buy",
            "ord_type": "limit_maker",
            "price": "68818.37",
            "stop_price": null,
            "avg_price": "0.0",
            "state": "cancel",
            "market": "btcusdc",
            "created_at": "2024-05-31T08:16:52+02:00",
            "updated_at": "2024-05-31T08:16:52+02:00",
            "origin_volume": "0.0874",
            "remaining_volume": "0.0874",
            "executed_volume": "0.0",
            "maker_fee": "0.0004",
            "taker_fee": "0.0004",
            "trades_count": 0,
            "cancel_reason": "Order cancelled because it was matched as a taker order"
        },
        {
            "id": 25765099,
            "uuid": "9912ed5f-ebf8-41ce-9158-df5f93855a3a",
            "side": "buy",
            "ord_type": "limit_maker",
            "price": "50000.0",
            "stop_price": null,
            "avg_price": "0.0",
            "state": "cancel",
            "market": "btcusdc",
            "created_at": "2024-05-31T08:16:13+02:00",
            "updated_at": "2024-05-31T08:18:15+02:00",
            "origin_volume": "0.1066",
            "remaining_volume": "0.1066",
            "executed_volume": "0.0",
            "maker_fee": "0.0004",
            "taker_fee": "0.0004",
            "trades_count": 0,
            "cancel_reason": "Order cancelled by user"
        },
        {
            "id": 25765070,
            "uuid": "94b83516-a7be-40c5-b037-0180818d1a50",
            "side": "buy",
            "ord_type": "limit_maker",
            "price": "78937.61",
            "stop_price": null,
            "avg_price": "0.0",
            "state": "cancel",
            "market": "btcusdc",
            "created_at": "2024-05-31T08:15:53+02:00",
            "updated_at": "2024-05-31T08:15:53+02:00",
            "origin_volume": "0.1066",
            "remaining_volume": "0.1066",
            "executed_volume": "0.0",
            "maker_fee": "0.0004",
            "taker_fee": "0.0004",
            "trades_count": 0,
            "cancel_reason": "Order cancelled because it was matched as a taker order"
        },
        {
            "id": 25764923,
            "uuid": "29bda41c-7e74-4758-ae4e-ca7b728a4d40",
            "side": "buy",
            "ord_type": "limit_maker",
            "price": "50000.0",
            "stop_price": null,
            "avg_price": "0.0",
            "state": "cancel",
            "market": "btcusdc",
            "created_at": "2024-05-31T08:14:45+02:00",
            "updated_at": "2024-05-31T08:18:17+02:00",
            "origin_volume": "0.196",
            "remaining_volume": "0.196",
            "executed_volume": "0.0",
            "maker_fee": "0.0004",
            "taker_fee": "0.0004",
            "trades_count": 0,
            "cancel_reason": "Order cancelled by user"
        },
        {
            "id": 25643640,
            "uuid": "46bea140-4afe-4cd9-8572-4d8a42915b2b",
            "side": "buy",
            "ord_type": "limit",
            "price": "68505.62",
            "stop_price": null,
            "avg_price": "68505.62",
            "state": "cancel",
            "market": "btcusdc",
            "created_at": "2024-05-30T13:30:29+02:00",
            "updated_at": "2024-05-30T13:30:37+02:00",
            "origin_volume": "0.3442",
            "remaining_volume": "0.3396",
            "executed_volume": "0.0046",
            "maker_fee": "0.0004",
            "taker_fee": "0.0004",
            "trades_count": 1,
            "cancel_reason": "Order cancelled by user"
        },
        {
            "id": 25606241,
            "uuid": "bc02d282-9527-4d85-969a-60c09d85f15b",
            "side": "buy",
            "ord_type": "limit",
            "price": "1.0",
            "stop_price": null,
            "avg_price": "0.7566",
            "state": "done",
            "market": "maticusdc",
            "created_at": "2024-05-30T08:35:31+02:00",
            "updated_at": "2024-05-30T08:35:33+02:00",
            "origin_volume": "1000.0",
            "remaining_volume": "0.0",
            "executed_volume": "1000.0",
            "maker_fee": "0.0004",
            "taker_fee": "0.0004",
            "trades_count": 13,
            "cancel_reason": null
        },
        {
            "id": 25605848,
            "uuid": "1d06755e-bb9c-47e8-a5e2-3b9449eb0bb4",
            "side": "buy",
            "ord_type": "limit_maker",
            "price": "1.0",
            "stop_price": null,
            "avg_price": "0.0",
            "state": "cancel",
            "market": "maticusdc",
            "created_at": "2024-05-30T08:33:47+02:00",
            "updated_at": "2024-05-30T08:33:49+02:00",
            "origin_volume": "1000.0",
            "remaining_volume": "1000.0",
            "executed_volume": "0.0",
            "maker_fee": "0.0004",
            "taker_fee": "0.0004",
            "trades_count": 0,
            "cancel_reason": "Order cancelled because it was matched as a taker order"
        },
        {
            "id": 25605647,
            "uuid": "79817d22-2938-4d2d-898d-670d07848f17",
            "side": "buy",
            "ord_type": "limit_maker",
            "price": "1.0",
            "stop_price": null,
            "avg_price": "0.0",
            "state": "cancel",
            "market": "maticusdc",
            "created_at": "2024-05-30T08:32:35+02:00",
            "updated_at": "2024-05-30T08:32:36+02:00",
            "origin_volume": "14076.1",
            "remaining_volume": "14076.1",
            "executed_volume": "0.0",
            "maker_fee": "0.0004",
            "taker_fee": "0.0004",
            "trades_count": 0,
            "cancel_reason": "Order cancelled because it was matched as a taker order"
        }
    ]
}
```

> #### Possible Cancel Reasons:
>
> You may receive the following cancel reasons in the response:
>
> * '**Order cancelled by user**': The user requested to cancel the order directly, or through a bulk cancel request.
> * ‘**Slippage greater than 30%. Order cancelled to prevent loss of funds**’: The order was cancelled because its price changed by more than 30% from the time it was placed to the time it was matched.
> * ‘**Order cancellation was initiated by system**’: The order was cancelled for reasons such as order expiration, slippage exceeding a specified threshold, inconsistent order matching, or detection of suspicious activity. However, cancellations due to these reasons are infrequent.
> * ‘**Something went wrong, order was cancelled to prevent loss of funds**’: The order was cancelled because it didn't meet the matching criteria due to unexpected reasons.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tanx.fi/tech/api-documentation/trading/list-orders.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
